GNU bug report logs - #60193
[PATCH] gnu: Add python-tcod.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Adam Kandur <manualbot@HIDDEN>; Keywords: patch; merged with #60192; dated Mon, 19 Dec 2022 08:54:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 60192 60193. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Dec 2022 08:53:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 19 03:53:49 2022
Received: from localhost ([127.0.0.1]:38083 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p7Bu8-0002R8-HB
	for submit <at> debbugs.gnu.org; Mon, 19 Dec 2022 03:53:48 -0500
Received: from lists.gnu.org ([209.51.188.17]:42324)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manualbot@HIDDEN>) id 1p70wR-0004z3-B0
 for submit <at> debbugs.gnu.org; Sun, 18 Dec 2022 16:11:27 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <manualbot@HIDDEN>)
 id 1p70wR-0007ul-2V
 for guix-patches@HIDDEN; Sun, 18 Dec 2022 16:11:27 -0500
Received: from pv50p00im-zteg10011401.me.com ([17.58.6.41])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <manualbot@HIDDEN>)
 id 1p70wP-0000n5-Dj
 for guix-patches@HIDDEN; Sun, 18 Dec 2022 16:11:26 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=icloud.com;
 s=1a1hai; t=1671397882;
 bh=2zVyLdxCeRGarqhe0KlpU5Po8fJpdNEETbkpLubVDAs=;
 h=From:To:Subject:Date:Message-Id:MIME-Version;
 b=fw+Mbc294/6U61AhDU6x+rfkRjInK8NJ0Gs0bExu4gfoc3VkLEoMyjliWZvUc1JQ4
 WAi3Uafcv95GerpYhRgsv6fEmejmlYI8hvXUXcox/3uhIb/VgtLo10uS4TDBMwkesa
 CzQKOoBN6ahOTYtOwzTIk9X8QmG3xdPwwfZZFKxNBPEfKjndh/6FP8Pn8P+HCm/a4T
 Fh6U9xOyrCF4zN/U58fJ3TqlBteS35CcfDjeDVX9DSNs1aCZSiFLsZW55eDxWgAxv7
 ezHCCrjXgL3qSFFMLYn4uAd5+dWsK6AsagtQ5d45GxHjO1Anmg4As+517OGK/XsJ3c
 IBAukTGIBQcaQ==
Received: from localhost.localdomain (pv50p00im-dlb-asmtp-mailmevip.me.com
 [17.56.9.10])
 by pv50p00im-zteg10011401.me.com (Postfix) with ESMTPSA id 6046DDC0354;
 Sun, 18 Dec 2022 21:11:21 +0000 (UTC)
From: Adam Kandur <manualbot@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add python-tcod.
Date: Mon, 19 Dec 2022 00:11:16 +0300
Message-Id: <20221218211116.3955-1-manualbot@HIDDEN>
X-Mailer: git-send-email 2.38.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Proofpoint-ORIG-GUID: HkCjhdpf3EaOEE8Lf-SbBnoclJoLQtIU
X-Proofpoint-GUID: HkCjhdpf3EaOEE8Lf-SbBnoclJoLQtIU
X-Proofpoint-Virus-Version: =?UTF-8?Q?vendor=3Dfsecure_engine=3D1.1.170-22c6f66c430a71ce266a39bfe25bc?=
 =?UTF-8?Q?2903e8d5c8f:6.0.517,18.0.883,17.11.64.514.0000000_definitions?=
 =?UTF-8?Q?=3D2022-06-21=5F08:2022-06-21=5F01,2022-06-21=5F08,2022-02-23?=
 =?UTF-8?Q?=5F01_signatures=3D0?=
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 bulkscore=0
 malwarescore=0 adultscore=0
 spamscore=0 mlxlogscore=999 phishscore=0 mlxscore=0 suspectscore=0
 clxscore=1015 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2209130000 definitions=main-2212180202
Received-SPF: pass client-ip=17.58.6.41; envelope-from=manualbot@HIDDEN;
 helo=pv50p00im-zteg10011401.me.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 19 Dec 2022 03:53:46 -0500
Cc: Adam Kandur <manualbot@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/game-development.scm (python-tcod): New variable.
---
 gnu/packages/game-development.scm | 47 +++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)

diff --git a/gnu/packages/game-development.scm b/gnu/packages/game-development.scm
index 8fec474d0b..2746c43a5f 100644
--- a/gnu/packages/game-development.scm
+++ b/gnu/packages/game-development.scm
@@ -64,6 +64,7 @@ (define-module (gnu packages game-development)
   #:use-module (gnu packages bash)
   #:use-module (gnu packages boost)
   #:use-module (gnu packages build-tools)
+  #:use-module (gnu packages c)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages check)
   #:use-module (gnu packages curl)
@@ -86,6 +87,7 @@ (define-module (gnu packages game-development)
   #:use-module (gnu packages guile)
   #:use-module (gnu packages image)
   #:use-module (gnu packages linux)
+  #:use-module (gnu packages libffi)
   #:use-module (gnu packages llvm)
   #:use-module (gnu packages lua)
   #:use-module (gnu packages m4)
@@ -97,6 +99,7 @@ (define-module (gnu packages game-development)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages pulseaudio)
   #:use-module (gnu packages python)
+  #:use-module (gnu packages python-check)
   #:use-module (gnu packages python-web)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages readline)
@@ -2604,6 +2607,50 @@ (define-public libtcod
 utilities frequently used in roguelikes.")
     (license license:bsd-3)))
 
+(define-public python-tcod
+  ;; named branch is outdated
+  (let ((commit "d3419a5b4593c7df1580427fc07616d798c85856")
+        (revision "1"))
+    (package
+      (name "python-tcod")
+      (version "13.9.1")
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://github.com/libtcod/python-tcod")
+               (commit commit)
+               (recursive? #true)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "1b0ligrswvz307bbx5jp8wnnqz52v5s4gcgakxy4i3jvccalm2if"))))
+      (build-system python-build-system)
+      ;; tests fail for a strange reason
+      ;; "ERROR docs/conf.py - FileNotFoundError",
+      ;; but this file is in the checkout
+      (arguments
+       '(#:tests? #f))
+      (native-inputs
+       (list sdl2
+             python-pcpp
+             python-pycparser
+             python-requests
+             python-pytest-runner
+             python-pytest-benchmark
+             python-pytest-cov))
+      (propagated-inputs
+       (list python-numpy
+             python-typing-extensions
+             python-cffi))
+      (home-page "https://github.com/libtcod/python-tcod")
+      (synopsis
+       "This library is a Python cffi port of libtcod")
+      (description
+       "A high-performance Python port of libtcod.
+Includes the libtcodpy module for backwards compatibility with older projects.")
+      (license license:bsd-2))))
+
 (define-public warsow-qfusion
   ;; As of 2020-04-09, the latest stable version 2.1.0 is deprecated.
   ;; The 2.5 beta as published on the homepage is commit
-- 
2.38.1





Acknowledgement sent to Adam Kandur <manualbot@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#60193; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 26 Jan 2023 09:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.